#
# spec file for package acpid (Version 1.0.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         acpid
URL:          http://acpid.sourceforge.net/
Version:      1.0.1
Release:      259.4
%define       acpi_version 0.0.6
License:      GPL
Group:        System/Daemons
Autoreqprov:  on
PreReq:       %insserv_prereq %fillup_prereq
Summary:      Executes Actions at ACPI Events
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
Source1:      acpi_%{acpi_version}.tar.bz2
Patch1:       acpi_%{acpi_version}.dif
Source42:     suse-files.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 x86_64 ia64

%description
ACPID is a completely flexible, totally extensible daemon for
delivering ACPI events. It listens to a file (/proc/acpi/event) and
when an event occurs, executes programs to handle the event. The start
script loads all needed modules.

Configure it in /etc/sysconfig/powermanagement.



Authors:
--------
    Andrew Grover <andrew.grover@intel.com>
    Tim Hockin <thockin@sun.com>
    Cajus Pollmeier <pollmeier@gonicus.de>

%prep
# %setup -n %{name}-%{version} -a 2
%setup
%patch
%setup -T -D -a 1
pushd acpi_%{acpi_version}
%patch -P 1
popd
%setup -T -D -a 42

%build
make EXTRA_CFLAGS="$RPM_OPT_FLAGS"
pushd acpi_%{acpi_version}
ln -sf /usr/share/automake*/install-sh install-sh
./configure
make EXTRA_CFLAGS="$RPM_OPT_FLAGS"
popd

%install
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot}
make install INSTPREFIX=%{buildroot}
install -Dm 744 suse-files/rcacpid %{buildroot}/etc/init.d/acpid
ln -sf ../../etc/init.d/acpid %{buildroot}/usr/sbin/rcacpid
install -Dm 644 suse-files/sysconfig.acpid \
           %{buildroot}/var/adm/fillup-templates/sysconfig.powermanagement-acpid
install -Dm 644 suse-files/events.default %{buildroot}/etc/acpi/events/default
install -Dm 744 suse-files/acpid_proxy %{buildroot}/usr/sbin/acpid_proxy
install -Dm 644 suse-files/README.SuSE %{buildroot}/%{_docdir}/acpid/README.SuSE
install -m  644 README Changelog %{buildroot}/%{_docdir}/acpid/
pushd acpi_%{acpi_version}
ln -sf /usr/share/automake*/mkinstalldirs mkinstalldirs
make prefix=%{buildroot}/usr install
install -Dm 644 doc/acpi.1 %{buildroot}/%{_mandir}/man1/acpi.1
popd
mkdir -p %{buildroot}/var/lib/acpi

%post
%{fillup_only -n -a powermanagement}
%{fillup_and_insserv -f acpid}
rm -f -- var/lib/acpi/*

%postun
%restart_on_update acpid
%{insserv_cleanup}

%preun 
%stop_on_removal acpid

%files
%dir /etc/acpi
%dir /etc/acpi/events
/etc/acpi/events/default
/etc/init.d/acpid
/usr/sbin/rcacpid
/usr/sbin/acpid
/usr/sbin/acpid_proxy
%doc %{_docdir}/acpid
/usr/share/man/man8/acpid.8.gz
/var/adm/fillup-templates/sysconfig.powermanagement-acpid
/usr/bin/acpi
/usr/share/man/man1/acpi.1.gz
%dir %attr(0750, root, root) /var/lib/acpi

%changelog -n acpid
* Mon Nov 08 2004 - zoz@suse.de
- added /var/lib/acpi with proper permissions to filelist. Further
  acpid_proxy won't create that dir if missing. (Bug 47729)
* Tue Apr 06 2004 - trenn@suse.de
- rcacpid stop  does not return skipped anymore on none acpi systems
  this prevented acpid to uninstall on these systems  (#38508)
* Thu Mar 18 2004 - seife@suse.de
- updated README.SuSE and default config (#36208)
* Wed Mar 03 2004 - trenn@suse.de
- add %%restart_on_update and %%stop_on_removal in .spec file
* Tue Feb 24 2004 - trenn@suse.de
- deleted ac_on_power, is now in powersave package
* Mon Feb 23 2004 - trenn@suse.de
- deleted -y parameter in inserv, to not start by default
  powersave gets confused otherwise, only one daemon is allowed
  to access /proc/acpi/event
* Wed Nov 05 2003 - olh@suse.de
- do not start the build if not required
* Mon Sep 22 2003 - zoz@suse.de
- fixed naming of actions in acpid_proxy (Bug 31357)
- fixed metadata and description of actions in sysconfig template
  (Bug 31357)
- fixed startscript to unload modules if requested (Bug 31357)
- set default action for lid closure to 'ignore', because 'throttle'
  breaks some laptops (Bug 31529)
* Sun Sep 21 2003 - ro@suse.de
- fix typo in sysconfig-file
* Thu Sep 18 2003 - trenn@suse.de
- bug 30913 and 31265
  lid state is now read out correctly (CLOSE->CLOSED)
  corrected parts for throttling
  action kde_term fixed (determine kde user)
  action kde_logout additionally added
* Tue Sep 16 2003 - trenn@suse.de
- bug 30399 -> lid read out of /proc/acpi/lid/... now
  and changed frequency scaling from deprecated /acpi/processor
  to cpufreqd
* Wed Sep 10 2003 - kukuk@suse.de
- rcacpid: Fix return codes, fix try-restart, fix probe (don't
  compare with non existing FOO config file), fix restart (restart
  should honor modified sysconfig file).
* Tue Sep 02 2003 - trenn@suse.de
- on_ac_adapter: more stable and
  check for desktop
  start acpid by default
* Thu Aug 28 2003 - trenn@suse.de
- fixed bug in sysconfig.acpi template
* Thu Aug 28 2003 - trenn@suse.de
- added on_ac_power
* Tue Aug 26 2003 - trenn@suse.de
- added action tags for sysconfig file
* Thu Aug 14 2003 - ro@suse.de
- added exclusivearch line to specfile
* Sun Jul 20 2003 - zoz@suse.de
- Removed ACPI_MODULES_NOT_TO_LOAD from /etc/init.d/acpid and
  /etc/sysconfig/powermanagement. now we use ACPI_MODULES instead.
  This works also with 2.5/6 kernels and you may add one of the
  modules asus_acpi or toshiba_acpi to this variable.
* Sat Mar 01 2003 - zoz@suse.de
- fixed acpid: Did not call acpid_proxy with event information
- splitted ACPI_BUTTON_LID into ACPI_BUTTON_LID_OPEN and
  ACPI_BUTTON_LID_CLOSE
- added some actions for button events to acpid_proxy
  + kde_term     (terminate all KDE sessions)
  + wmaker_term  (terminate all wmaker sessions)
  + standby      (switches to S1. This may crash the system. Test it before!)
  + suspend      (switches to S3 if kernel is 2.5 or newer)
  + hibernate    (switches to S4 if kernel is 2.5 or newer
  + throttle     (reduce processor performance, enable maximum processor throttlin
  put disk into sleep state)
  + dethrottle   (restore settings like before throttle)
- for proper throttling added ACPI_THROTTLED_DISK_TIMEOUT and
  ACPI_THROTTLED_KUPDATED_INTERVAL
- provided some usefull information in README.SuSE
* Mon Feb 24 2003 - zoz@suse.de
- enhanced sysconfig metadata and descriptions
- added ACPI_MODULES_NOT_TO_UNLOAD, because there are modules which
  oops when unloaded
- added ACPI_BUTTON_SLEEP
- added some more actions for button events
* Sat Feb 22 2003 - mmj@suse.de
- Add sysconfig metadata [#22676]
* Sat Feb 08 2003 - zoz@suse.de
- added 'acpi': a tool providing battery and thermal information
  (like apm in package apmd)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Sep 06 2002 - zoz@suse.de
- added comments to sysconfig variables (Bug 18654)
- fixed specfile to fillup /etc/sysconfig/powermanagement properly
* Tue Aug 13 2002 - zoz@suse.de
- added PreReq insserv_prereq fillup_prereq
* Tue Aug 06 2002 - zoz@suse.de
- initial package: version 1.0.1
- added init script which loads acpi modules as well
- provided acpid_proxy (apmd like) which cares about all events
